package com.eactive.eai.custom.stderrorcode;

import java.io.Serializable;

public class ChannelErrorCodeVO implements Serializable {

	private static final long serialVersionUID = 1L;

	private String errCd; // 오류코드[TSEAIMX06.STD_ERR_CD]
	private String errMsg; // 오류메시지내용[TSEAIMX06.CHNL_ERR_MSG_CTS]
	private String type; // 채널세부코드[TSEAIMX06.CHNL_DTLS_CLCD]
	private String channelErrCd; // 채널세부코드[TSEAIMX06.CHNL_ERR_CD]

	public ChannelErrorCodeVO() {
		this("", "", "", "");
	}

	public ChannelErrorCodeVO(String errCd, String errMsg, String type, String channelErrCd) {
		super();
		this.errCd = errCd;
		this.errMsg = errMsg;
		this.type = type;
		this.channelErrCd = channelErrCd;
	}

	public String getErrCd() {
		return errCd;
	}

	public void setErrCd(String errCd) {
		this.errCd = errCd;
	}

	public String getErrMsg() {
		return errMsg;
	}

	public void setErrMsg(String errMsg) {
		this.errMsg = errMsg;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getChannelErrCd() {
		return channelErrCd;
	}

	public void setChannelErrCd(String channelErrCd) {
		this.channelErrCd = channelErrCd;
	}

}
